Bug 1735681 - [RFE]include an S3 client (any S3 client) on Red Hat official repositories
Summary: [RFE]include an S3 client (any S3 client) on Red Hat official repositories
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Distribution
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 5.0
Assignee: ceph-eng-bugs
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks: 1816167
TreeView+ depends on / blocked
 
Reported: 2019-08-01 08:53 UTC by Tomas Sedlacek
Modified: 2020-08-25 17:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.An S3 client is included in the Ceph tools repository Starting with this release, an S3 command-line client, `s3cmd` is included in the {storage-product} 4 Tools software repository. To install the S3 command-line client package, enable the `rhceph-4-tools-for-rhel-8-x86_64-rpms` repository first.
Clone Of:
Environment:
Last Closed: 2019-10-10 15:25:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Yaniv Kaul 2019-08-02 06:03:58 UTC
I don't understand the use case.
A command line client? A libray? In which language?
With RHEL? In a rpm? Container? Via python pip?

Comment 2 Tomas Sedlacek 2019-08-02 08:11:18 UTC
Customer needs some command line S3 client to be able to interact with a Red Hat product such as Ceph RadosGW. 
OS - RHEL, added to RHEL/Ceph official repos.

Comment 6 Federico Lucifredi 2019-10-10 15:25:39 UTC
s3cmd is in EPEL. This should provide the customer with a way to meet the "official repository" requirement.


Note You need to log in before you can comment on or make changes to this bug.